Page MenuHomePhabricator

GCC compatibility: Ignore -fstack-clash-protection
AbandonedPublic

Authored by tstellar on Jan 26 2018, 11:47 AM.

Details

Reviewers
sylvestre.ledru

Diff Detail

Event Timeline

tstellar created this revision.Jan 26 2018, 11:47 AM
sylvestre.ledru accepted this revision.Feb 12 2018, 4:33 AM

Looks good, thanks.

This revision is now accepted and ready to land.Feb 12 2018, 4:33 AM
joerg added a subscriber: joerg.Feb 12 2018, 5:13 AM

I really don't like ignoring options that are supposed to provide actual functionality. Most of the other options are for pointless fine tuning and workarounds for broken gcc behavior in ancient versions.

tstellar abandoned this revision.Feb 19 2019, 2:24 PM

I agree with Joerg, I don't think we should be ignoring these kinds of security flags (even though we already ignore -fstack-check).

Herald added a project: Restricted Project. · View Herald TranscriptFeb 19 2019, 2:24 PM
Herald added a subscriber: jdoerfert. · View Herald Transcript